<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%ORIGIN_DEC_PV}}".
 *
 * @property string $ID
 * @property string $USER_ID 会员ID
 * @property int $TYPE 报单类型
 * @property string $INSERT_USER_ID 首购会员ID
 * @property string $DEC_AMOUNT 报单金额
 * @property string $DEC_PV 报单PV
 * @property int $PERIOD_NUM 报单期数
 * @property int $STATUS 状态
 * @property int $CREATED_AT 创建时间
 */
class OriginDecPv extends \common\components\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%ORIGIN_DEC_PV}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['USER_ID', 'DEC_PV', 'ACTION_TYPE'], 'required'],
            [['ID'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'DEC_PV' => '报单PV值',
            'ACTION_TYPE' => '操作类型默认0无操作  1为增加  2为减少',
        ];
    }
}